Issue 122961 - Apache OpenOffice can not be downloaded with disabled Java scripts
Summary: Apache OpenOffice can not be downloaded with disabled Java scripts
Status: ACCEPTED
Alias: None
Product: Infrastructure
Classification: Infrastructure
Component: Downloads (show other issues)
Version: current
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 19:19 UTC by Zirneklitis
Modified: 2017-05-20 10:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Zirneklitis 2013-08-05 19:19:22 UTC
There is no way to download Apache OpenOffice installation with disabled java scripts.
Comment 1 Marcus 2013-08-05 19:29:43 UTC
As you can read in the text that is shown in the green box JavaScript is mandatory. Please click into the text. This will guide you to the alternative download webpage. There is no other way to download AOO with disabled JS.
Comment 2 Zirneklitis 2013-08-05 20:07:11 UTC
It is never-ending loop: The page http://www.openoffice.org/download/index.html is linked to http://www.openoffice.org/download/other.html which is linked back to http://www.openoffice.org/download/index.html. There is no possibilities to download the lates installations. You can get only Portable USB versions, AOO 3.4.1 and Legacy versions.
Comment 3 Marcus 2013-08-05 20:11:29 UTC
Right, this was the behavior before the "other.html" webpage was improved.

To make it short: JavaScript is needed to download AOO.
Comment 4 sebb 2013-08-05 21:02:05 UTC
If Javascript really is needed to download AOO, then the main download page should not state the following, as it is misleading/inaccurate:

"JavaScript needs to be enabled to take full advantage of this download section. 
...
Or click on this text to use the alternative download webpage to select the favorite platform and language."

With the current website, it should state something like:

"JavaScript must be enabled to download Apache OpenOffice."

===

However, it would be a lot better to have a page (such as other.html) that allows the user to select their platform and language manually.

The current situation is that the website is misleading and unhelpful when Javascript is not enabled. That is, this bug is valid as the website currently stands.
Comment 5 SVN Robot 2013-08-05 21:43:22 UTC
"marcus" committed SVN revision 1510757 into ooo-site/trunk/content/download:
#122961# Re-arranged the text and links displayed as 'no javascript' message,...
Comment 6 Marcus 2013-08-05 21:45:26 UTC
OK, I've updated the text.
Comment 7 sebb 2013-08-05 21:54:16 UTC
I cannot see any difference on the following pages:

http://www.openoffice.org/download/index.html
or
http://www.openoffice.org/download/other.html
Comment 8 Marcus 2013-08-05 22:06:53 UTC
Please make sure to check the staged version as I don't publish every change:

http://ooo-site.staging.apache.org/download/index.html
http://ooo-site.staging.apache.org/download/other.html

It will be done automatically with other changes from other users which happen all the day, so there is just a little delay.
Comment 9 sebb 2013-08-05 22:31:26 UTC
(In reply to Marcus from comment #8)
> Please make sure to check the staged version as I don't publish every change:
> 
> http://ooo-site.staging.apache.org/download/index.html
> http://ooo-site.staging.apache.org/download/other.html

Just rechecked (and reloaded page to be sure)
These look the same as the main pages.
If Javascript is disabled there is no list of downloads shown.

Tried with both Opera and Chrome.

> It will be done automatically with other changes from other users which
> happen all the day, so there is just a little delay.
Comment 10 Marcus 2013-08-06 19:47:14 UTC
I've updated the "No JavaScript" message to be more clear that it is mandatory to be able to download AOO.

Also the ping pong between "index.html" and "other.html" is gone.
Comment 11 sebb 2013-08-06 22:55:43 UTC
(In reply to Marcus from comment #10)
> I've updated the "No JavaScript" message to be more clear that it is
> mandatory to be able to download AOO.

Still looks the same to me.

However, I don't think that is the correct solution.
Why is it necessary to enable Javascript?

AIUI Javascript is only used to determine the platform and language, neither of which are actually needed for displaying the full download page.

> Also the ping pong between "index.html" and "other.html" is gone.
Comment 12 Marcus 2013-08-07 19:29:48 UTC
JavaScript is needed to show the table of download links. So, without JS the download is not working.

Please disable JS and verify that on the "index.html" and "other.html" page the message text is appropriate and not linking anymore to each other webpage.
Comment 13 sebb 2013-08-07 19:52:14 UTC
Which page should I be testing?

http://www.openoffice.org/download/ still behaves as before.

http://ooo-site.staging.apache.org/download/index.html has the same text and takes me to 
http://ooo-site.staging.apache.org/download/other.html
Which says:

"Your browser does not seem to allow JavaScript on websites. This technique is used on this webpage for presenting the actual download links. If you want to download Apache OpenOffice, go to the main download page, and you will skip this page. Our apologies for the inconvenience."
Comment 14 sebb 2013-08-07 19:58:53 UTC
(In reply to Marcus from comment #12)
> JavaScript is needed to show the table of download links.

But the point of this Bugzilla is that it should *not* be necessary to enable Javascript in order to download AOO.

The full download page should be available to all, regardless of whether Javascript is used or not.

As currently implemented the page requires Javascript, but the content does not change between releases, so could easily be generated (once) for each release.
Comment 15 Marcus 2013-08-07 20:18:36 UTC
> Which page should I be testing?

It's always the testing area. ;-)

http://ooo-site.staging.apache.org/test/download/index.html
http://ooo-site.staging.apache.org/test/download/other.html
Comment 16 Marcus 2013-08-07 20:23:13 UTC
Ups, I see that I've provided the wrong links in previous comments. I'm very sorry for that.
Comment 17 sebb 2013-08-07 20:36:59 UTC
(In reply to Marcus from comment #15)
> > Which page should I be testing?
> 
> It's always the testing area. ;-)
> 
> http://ooo-site.staging.apache.org/test/download/index.html

/test/download/index.html was not found on this server.

> http://ooo-site.staging.apache.org/test/download/other.html

 /test/download/other.html was not found on this server.
Comment 19 sebb 2013-08-07 21:42:27 UTC
(In reply to Marcus from comment #18)
> Oh dear, this is not my day :-(
> 
> http://ooo-site.staging.apache.org/download/test/index.html

This now says:

>>
Download Apache OpenOffice
JavaScript needs to be enabled to download Apache OpenOffice.
<<
There does not appear to be any link to this page:

> http://ooo-site.staging.apache.org/download/test/other.html

which now says:

>>
JavaScript not enabled?
JavaScript needs to be enabled to show the download links on this webpage for Apache OpenOffice.
<<

The recursive linking has been solved, but that was always a side issue.

The main problem is that users who don't have Javascript enabled - or who use a browser which does not support Javascript, such as a text browser - should not be prevented from downloading the current version of AOO.

As the originator points out, it *is* possible to download AOO 3.4.1 without needing Javascript. Also 3rd party ports etc.

But without Javascript, users cannot navigate to a page where they can get the current official release.

Is that *really* the intention?
Comment 20 Marcus 2013-08-07 22:34:33 UTC
Thanks for verifying the messages on both webpages.

Yes, it is intended. It was changed for AOO 4.0. In the past it was, sorry, a pain in the ass to keep this webpage up-to-date as there were always changes in paths, version number and languages (new were included, old were dropped out). Copy & paste errors were often occurring. Now it is much easier to update it as the table is generated via JS logic and this logic is filled via a few variables.

I'm sorry that not 100% of every user will be happy about this but when I look on statistics (e.g., like this [1]) I think it's OK. And it's still possible to enabled JS for download and to disable it again afterwards. Sometimes I do it myself to stop any webpage to prevent doing things I cannot monitor/verify. Furthermore, for Firefox [2] and Chrome [3] you can install add-ons to put a "JS enable/disable" function to a button or something similar.

[1] http://stackoverflow.com/questions/9478737/browser-statistics-on-javascript-disabled

[2] https://addons.mozilla.org/en-US/firefox/addon/quickjava/
[3] https://chrome.google.com/webstore/detail/quick-javascript-switcher/geddoclleiomckbhadiaipdggiiccfje?hl=en
Comment 21 sebb 2013-08-08 00:07:22 UTC
(In reply to Marcus from comment #20)
> Now it is much
> easier to update it as the table is generated via JS logic and this logic is
> filled via a few variables.

Surely the same logic could be used to create a fixed page?
AIUI the page is exactly the same for every user, so it only has to be created once.

> I'm sorry that not 100% of every user will be happy about this but when I
> look on statistics (e.g., like this [1]) I think it's OK. And it's still
> possible to enabled JS for download and to disable it again afterwards.

Some browsers don't support Javascript at all.
Particularly those used by the visually impaired.

> [1]
> http://stackoverflow.com/questions/9478737/browser-statistics-on-javascript-
> disabled
> 

As that article says:
"it's fair enough to require some very specific areas of a site to require JavaScript, but you should try as much as possible to provide an alternative if that's the case. For the rest of the site, I consider that, especially for government and educational websites, you have a duty towards minorities like disabled people and visually-impaired people to make the web readable and usable for them as for any other user."
Comment 22 Marcus 2017-05-20 10:45:29 UTC
Reset the assignee to the default "issues@openoffice.apache.org".